@charset "UTF-8";

* {
	font-size: Arial, "Hiragino Kaku Gothic ProN", "Hiragino Sans", Meiryo, sans-serif;
	font-size: 16px;
	color: #2F2F2F;
}

body {
	background-color: #fafafa;
}

h1 {
	font-size: 40px;
	letter-spacing: 0.15em; 
	font-family: ryo-gothic-plusn, sans-serif;
	font-style: normal;
	font-weight: 600;
}

h2 {
	font-size: 32px;
	text-align: center;
	margin-bottom: 40px;
	font-family: ryo-gothic-plusn, sans-serif;
	font-style: normal;
	font-weight: 200;
	animation: fadeInUp 1s ease forwards;
}

h3 {
	font-size: 24px;
	font-family: ryo-gothic-plusn, sans-serif;
	font-style: normal;
	font-weight: 200;
}

h4 {
	font-size: 16px;
	font-family: ryo-gothic-plusn, sans-serif;
	font-style: normal;
	font-weight: 200;
}

p {
	line-height: 1.5;
}

.grid {
	display: grid;
	width: 1040px;
	grid-template-columns: 1fr;
	margin: 0 auto;
}

.grid-2col {
	display: grid;
	grid-template-columns: 1fr 1fr;
	gap: 40px;
	flex-wrap: wrap; 
}

.grid-3col {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap: 16px;
	flex-wrap: wrap; 
}

@media screen and (max-width: 767px) {
	
	body {
		font-size: 14px;
	}
	
	h1 {
		font-size: 32px;
		letter-spacing: 0.05em;
	}
	
	h2 {
		font-size: 24px;
		margin: 80px 0 30px 0;
	}
	
	h3 {
		font-size: 18px;
	}
	
	h4 {
		font-size: 14px;
	}
	
	p {
		font-size: 14px;
	}
	
	.section-margin {
		padding-bottom: 24px;
	}
	
	.grid {
		width: auto;
		max-width: 100%;
		margin: 0 auto;
		padding: 0 30px;
		align-items: center;
	}
	
	.grid-2col {
		grid-template-columns: 1fr;
		gap: 16px;
	}
	
	.grid-3col {
		grid-template-columns: 1fr;
		gap: 40px;
	}
	
	.btn {
		font-size: 14px;
		padding: 12px 30px;
	}
}

.style-logo {
	margin: 0 auto;
	display: block;
	width: 192px;
	float: left;
}

.section-margin {
	padding: 160px 0 160px 0;
}

.btn {
	width: 320px;
	height: 48px;
	text-decoration: none;
	cursor: pointer;
	background-color: #fff;
	border-radius: 50px;
	display: inline-block;
	padding: 16px 40px;
	text-align: center;
	margin-top: 16px;
	letter-spacing: 0.1em;
	position: relative;
	font-size: 0;
	overflow: hidden;
	transition: .3s cubic-bezier(0.45, 0, 0.55, 1), background-color 0.3s;
}

.btn::before {
	content: "募集案内の詳細はこちら";
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: #AD4BA8;
	font-size: 16px;
	letter-spacing: 0.1em;
	opacity: 1;
	transition: opacity .3s ease, transform .3s ease;
}

.btn::after {
	content: "今すぐチェックする";
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, 50%);
	color: #AD4BA8;
	font-size: 16px;
	letter-spacing: 0.1em;
	opacity: 0;
	transition: opacity .3s ease, transform .3s ease;
}

.btn:hover {
	background-color: #f7f7f7;
}

.btn:hover::before {
	opacity: 0;
	transform: translate(-50%, -150%); 
}
.btn:hover::after {
	opacity: 1;
	transform: translate(-50%, -50%);
}

@media screen and (max-width: 767px) {
	
	.btn {
		width: 264px;
		height: 24px;
		padding: 8px 20px;
	}

	.btn::before {
		width: 100%;
	}

	.btn::after {
		width: 100%;
	}

	.btn:hover {
		background-color: #f7f7f7;
	}

	.btn:hover::before {
		opacity: 0;
		transform: translate(-50%, -150%); 
	}
	.btn:hover::after {
		opacity: 1;
		transform: translate(-50%, -50%);
	}
}

.header_container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	max-width: 1040px;
	padding: 0 40px;
	margin: 0 auto;
}

header {
	height: 10vh;
	display: flex;
	align-items: center;
	background-color: rgba(255,255,255,0.95);
	position: sticky;
	top: 0;
	z-index: 1000;
	box-shadow: 0 2px 4px rgba(0,0,0,0.05);
}

.style-nav ul {
	list-style-type: none;	
	line-height: 1;
	padding: 0;
}

.style-nav ul li {
	display: inline-block;
	margin-left: 16px;
}

.style-nav ul li a {
	text-decoration: none;
	text-align: center;
	display: block;
	padding: 8px 12px;
    line-height: 1.5;
	position: relative;
}

.style-nav ul li a:hover {
	color: #5176E6;
}

.style-nav ul li a::after {
	content: '';
	position: absolute;
	left: 50%;
	bottom: 0;
	width: 0;
	height: 2px;
	background-color: #5176E6;
	transition: all 0.3s ease;
	transform: translateX(-50%);
}
.style-nav ul li a:hover::after {
	width: 100%;
}

.style-nav li a.current {
    color: #5176E6;
    font-weight: bold;
}

.hamburger {
	display: none;
	width: 30px;
	height: 24px;
	position: relative;
	cursor: pointer;
	z-index: 2000;
}

@media screen and (max-width: 767px) {
	.header_container {
		max-width: 100%;
		padding: 0 20px;
	}
	
	.style-nav {
		display: none;
		position: fixed;
		top: 10vh;
		left: 0;
		width: 100%;
		height: 90vh;
		background-color: rgba(255,255,255,0.98);
		z-index: 1000;
		transition: transform 0.3s ease-out;
		transform: translateX(100%);
		padding-top: 20px;
	}
	
	.style-nav.open {
	transform: translateX(0);
	display: block;
	}

	.style-nav ul {
		display: block;
		text-align: center;
	}
	
	.style-nav ul li {
		display: block;
		margin: 0;
		border-bottom: 1px solid #eee;
	}
	
	.style-nav ul li a {
		padding: 15px 0;
		font-size: 18px;
	}
	
	.style-nav ul li a:hover::after {
		width: 0;
	}

	.hamburger {
		display: block;
	}
	
	.hamburger span {
		display: block;
		position: absolute;
		width: 100%;
		height: 3px;
		background-color: #5176E6;
		border-radius: 4px;
		transition: all 0.4s;
	}
	
	.hamburger span:nth-child(1) {
		top: 0;
	}
	
	.hamburger span:nth-child(2) {
		top: 50%;
		transform: translateY(-50%);
	}
	
	.hamburger span:nth-child(3) {
		bottom: 0;
	}

	.hamburger.active span:nth-child(1) {
		top: 50%;
		transform: translateY(-50%) rotate(-45deg);
	}
	
	.hamburger.active span:nth-child(2) {
		opacity: 0;
	}
	
	.hamburger.active span:nth-child(3) {
		bottom: 50%;
		transform: translateY(50%) rotate(45deg);
	}
}

/*--------------------
 hero
--------------------*/

.hero {
	display: grid;
	grid-template-columns: 3fr 1fr;
	gap: 16px;
	flex-wrap: wrap; 
	align-items: center;
	padding: 80px 10%;
	position: relative;
	overflow: hidden;
	min-height: 80vh;
	
}

.hero-left {
	z-index: 2;
	flex: 1;
}

.hero-left h1 {
	font-weight: 700;
	line-height: 1.4;
	margin-bottom: 16px;
	animation: fadeInUp 2s ease forwards;
	background: linear-gradient(to right, #5176E6, #EA5A91);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent; 
    position: relative;
    padding-bottom: 20px;
}

.hero-left h1::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 60%;
    height: 4px;
    background: linear-gradient(to right, #5176E6, #EA5A91);
    border-radius: 2px;
    opacity: 0;
    animation: fadeInUp 0.8s ease forwards; 
    animation-delay: 1.8s;
}

.hero-left h3 {
	font-weight: 400;
	margin-bottom: 40px;
	font-family: "Zen Kaku Gothic New", sans-serif;
	font-weight: 400;
	font-style: normal;
	opacity: 0;
    animation: fadeInUp 2s ease forwards;
    animation-delay: 2s;
}

.item ul {
	list-style: none;
	padding: 0;
	display: flex;
	flex-direction: column;
	gap: 16px;
	margin: 16px 0;
	opacity: 0;
    animation: fadeInUp 3s ease forwards;
	animation-delay: 2s;
}

.item ul li:nth-child(1) { animation-delay: 2s; }
.item ul li:nth-child(2) { animation-delay: 2.4s; }
.item ul li:nth-child(3) { animation-delay: 2.8s; }

.item ul li p {
	text-align: center;
	display: inline-block;
	width: 208px;
	padding: 8px 24px;
	border-radius: 24px;
	background: #fff;
	font-weight: 500;
	font-size: 1rem;
	box-shadow: 0 2px 8px rgba(0,0,0,0.1);
	transition: transform 2s ease, box-shadow 2s ease;
}

.item ul li p:hover {
	transform: translateY(-2px);
	box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
	
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.hero-right {
	flex: 1;
	position: absolute;
	height: 100%;
    width: 100%;
	overflow: visible;
}

.blue-bl,
.red-bl {
	position: absolute;
	width: 500px;
	height: 500px;
	border-radius: 50%;
	filter: blur(80px);
	opacity: 0.7; 
	animation-timing-function: cubic-bezier(0.65, 0, 0.35, 1);
	animation-duration: 20s;
	animation-iteration-count: infinite;
	animation-direction: alternate;
	z-index: 1;
}

.blue-bl {
    background-color: #5176E6;
    animation-name: flyOut;
    animation-duration: 8s;
    animation-delay: 0s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    left: calc(50% - 200px); 
    top: calc(50% - 200px); 
}

.red-bl {
    background-color: #EA5A91;
    animation-name: flyOut;
    animation-duration: 8s;
    animation-delay: 4s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    left: calc(50% - 200px); 
    top: calc(50% - 200px); 
}

@keyframes flyOut {
    0% {
        opacity: 0;
        transform: translate(-500px, -500px) scale(0.5) rotate(0deg);
    }
	
    30% {
        opacity: 0.9;
    }

    70% {
        opacity: 0.9;
        transform: translate(300px, 300px) scale(1.2) rotate(180deg);
    }
    
    100% {
        opacity: 0;
        transform: translate(500px, 500px) scale(0.8) rotate(360deg);
    }
}

@media screen and (max-width: 767px) {
	
	.hero {
		padding: 40px 30px;
	}
	
	.item ul li {
		height: 38px;
		text-align: center;
		line-height: 3;
		width: 164px;
	}

	.item ul li h3 {
		background-color: #fff;
		padding: 8px 8px;
		border-radius: 8px;
	}
	
	.hero-bottom h3 {
		height: 10vh;
		font-size: 24px;
		text-align: center;
		letter-spacing: 0.3em;
	}
	
	.blue-bl,
	.red-bl {
		position: absolute;
		width: 250px;
		height: 250px;
		border-radius: 50%;
		filter: blur(40px);
		opacity: 0.7; 
	}

	.blue-bl {
		background-color: #5176E6;
		animation-name: flyOut_min;
		animation-duration: 8s;
		animation-delay: 0s;
		animation-timing-function: ease-in-out;
		animation-iteration-count: infinite;
		left: calc(50% - 200px); 
		top: calc(50% - 200px); 
	}

	.red-bl {
		background-color: #EA5A91;
		animation-name: flyOut_min;
		animation-duration: 8s;
		animation-delay: 4s;
		animation-timing-function: ease-in-out;
		animation-iteration-count: infinite;
		left: calc(50% - 200px); 
		top: calc(50% - 200px); 
	}
	
	@keyframes flyOut_min {
		0% {
			opacity: 0;
			transform: translate(-250px, -250px) scale(0.5) rotate(0deg);
		}

		30% {
			opacity: 0.9;
		}

		70% {
			opacity: 0.9;
			transform: translate(150px, 150px) scale(1.2) rotate(180deg);
		}

		100% {
			opacity: 0;
			transform: translate(250px, 250px) scale(0.8) rotate(360deg);
		}
	}
}
	
/*--------------------
 gradient
--------------------*/

.gradient {
	background-image: url("images/red-bule-background.png");
	text-align: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center; 
}

.banner h3 {
	color: #fff;
	font-weight: 400;
	letter-spacing: 0.1em;
	line-height: 1.5em;
}

.banner p {
	color: #fff;
	margin-top: 16px;
}

.gradient .grid {
  justify-items: center;
}

.banner {
    margin: 48px 0;
    max-width: 100%;
    text-align: center;
}


@media screen and (max-width: 767px) {

    .banner {
        margin: 32px 0;
    }
}

/*--------------------
 recommend
--------------------*/

.fast-stage {
	margin-bottom: 40px;
}

.card {
	align-items: center;
	background-color: #fff;
	border: 1px solid #eee;
	border-radius: 10px;
	padding: 20px;
	box-sizing: border-box;
	display: flex;
	box-shadow: 0 10px 20px rgba(0, 0, 0, 0.1); 
}

.card img {
	width: 120px;
	height: 120px;
	object-fit: cover;
	border-radius: 8px;
	flex-shrink: 0;
	margin-right: 40px;
}

.card p span {
	font-size: 24px;
	color: #5176E6;
	font-weight: bold;
	letter-spacing: 0.05em;
}
	
@media screen and (max-width: 767px) {
	
	.fast-stage {
		margin-bottom: 16px;
	}
	.card p span {
		font-size: 16px;
		color: #5176E6;
		font-weight: 700;
	}
    
	.card img {
		width: 104px;
	}
}
	
/*--------------------
 feature
--------------------*/

.feature {
	position: relative;
	background: #E9E9E9;
	padding: 100px 0;
	z-index: 0;
}
.feature::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100px;
	background: #E9E9E9;
	transform: skewY(-3deg);
	transform-origin: top left;
	z-index: -1;
}

.feature-container {
	margin-bottom: 60px;
	align-items: center;
}

.feature img {
	width: 512px;
	border-radius: 10px;
	box-shadow: 0 8px 15px rgba(0,0,0,0.1);
	transition: transform 0.5s ease;
}

.feature-box {
	width: 488px;
}

.feature-title {
	display: flex;
	align-items: center;
	margin-bottom: 16px;
}

.feature-title h4 {
	line-height: 1.5em;
	color: #5176E6;
	font-weight: 700;
	margin-left: 16px;
}

.feature-title h4 span {
	font-size: 24px;
	font-weight: 700;
	color: #5176E6;
}

.feature-title p {
	font-size: 64px;
	font-weight: 700;
	color: rgba(81,118,230,0.6);
	text-shadow: 2px 2px 4px rgba(0,0,0,0.05);
}

.feature-txt p {
	margin-bottom: 32px;
}

.feature-txt p span {
	border-bottom: 4px solid #EFBA57;
	padding-bottom: 2px;
	font-weight: 700;
}
	
@media screen and (max-width: 767px) {
	
	.feature img {
		max-width: 320px;
		margin: 0 auto;
	}
	
	.feature-box {
		max-width: 320px;
		margin: 0 auto;
	}
}
	

/*--------------------
 learn
--------------------*/
.learn {
	position: relative;
	background: #fafafa;
	padding: 100px 0;
	z-index: 0;
}

.learn::before {
	content: "";
	position: absolute;
	background-color: #fafafa;
	top: 0;
	left: 0;
	width: 100%;
	height: 100px;
	transform: skewY(3deg); 
	transform-origin: top right;
	z-index: -1;
}

.skill-card {
	perspective: 1000px;
	width: 100%;
	height: 400px;
	border-radius: 10px;
}

.skill-inner {
	position: relative;
	width: 100%;
	height: 100%;
	transition: transform 0.8s;
	transform-style: preserve-3d;
}

.skill-card:hover .skill-inner {
	transform: rotateY(180deg);
}

.skill-front,
.skill-back {
	position: absolute;
	width: 100%;
	height: 100%;
	border-radius: 10px;
	backface-visibility: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}

.skill-front h3 {
	text-align: center;
	color: #fff;
}

.skill-back {
	transform: rotateY(180deg);
	text-align: left;
	padding: 24px;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: flex-start;
	line-height: 1.6;
	gap: 16px;
	background-color: #fff;
	border: 4px solid #fff;
	color: #fff;
}

.skill-up {
	flex-grow: 1;
}

.skill-up h3 {
	margin-bottom: 8px;
	color: #626262;
}

.skill-up p {
	font-size: 16px;
	font-weight: normal;
	line-height: 1.7;
}

.skill-ex {
	padding: 16px;
}

 .skill-back h3 {
	color: #2f2f2f;
}


.skill-ex h3 {
	margin-bottom: 8px;
}

.skill-ex ul {
	list-style: disc inside;
	margin: 0;
	padding: 0;
}

.skill-ex li {
	font-size: 16px;
	font-weight: normal;
	margin-left: 8px;
	line-height: 1.6;
}

.skill-card.blue .skill-front {
    background-color: #5176E6;
    color: #fff;
}

.skill-card.blue .skill-back {
    background-color: #5176E6;
    border-color: #5176E6;
}

.skill-card.blue .skill-back .skill-up {
	background-color: #769FD9;
	padding: 16px;
}

.skill-card.yellow .skill-front {
    background-color: #EFBA57;
    color: #2f2f2f;
}

.skill-card.yellow .skill-back {
    background-color: #EFBA57;
    border-color: #EFBA57;
}

.skill-card.yellow .skill-back .skill-up {
	background-color: #D3A34B;
	padding: 16px;
}

.skill-card.pink .skill-front {
    background-color: #EA5A91;
    color: #fff;
}

.skill-card.pink .skill-back {
    background-color: #EA5A91
    border-color: #EA5A91;
}

.skill-card.pink  .skill-back .skill-up {
	background-color: #F192B6;
		padding: 16px;
}
	
@media screen and (max-width: 767px) {

	.skill-card {
		height: 300px;
	}
	.skill-up p, .skill-ex li {
		font-size: 14px;
	}
	.skill-back {
		padding: 15px;
	}
}


/*--------------------
 study
--------------------*/
.study {
	background-color: #fafafa;
}

.study-icon p {
	background-color: #5176E6;
	color: #fff;
	font-size: 13px;
	border-radius: 50%;
	width: 120px;
	height: 120px;
	display: flex;
	align-items: center;
	justify-content: center;
	z-index: 1;
	font-weight: 600;
	box-shadow: 0 5px 10px rgba(81,118,230,0.3);
}

.study-container {
	max-width: 980px;
	margin-left: 60px;
	border-left: 4px solid #5176E6;
}

.study-main {
	background: #fff;
	padding: 40px;
	border-radius: 0px 8px 8px 0;
	box-shadow: 0 4px 10px rgba(0,0,0,0.05);
	margin-left: 160px;
}

.study-main__detail {
	background-color: #EFBA57;
	border-radius: 8px;
	padding: 40px 0;
	text-align: center;
}

.study-main div {
	margin-bottom: 80px;
}

.study-main .feedback {
	margin-bottom: 0;
}

.study-main h3 {
	color: #5176E6;
	margin-bottom: 10px;
	font-weight: 700;
}

.study-main p {
	line-height: 1.8;
	margin-bottom: 16px;
}

.study-content {
	display: flex;
	align-items: flex-start;
	gap: 20px;
	background-color: #F9F9F9;
	padding: 16px;
	border-radius: 8px;
	align-items: center;
}

.study-content img {
	width: 312px;
	height: auto;
	border-radius: 4px;
	object-fit: cover;
	box-shadow: 0 2px 5px rgba(0,0,0,0.1); 
}

.study-txt {
	font-size: 14px;
	list-style: none;
	padding: 0;
	margin: 0;
}

.study-txt li {
	margin-bottom: 6px;
	position: relative;
	padding-left: 20px;
}

.study-txt li::before {
	content: "▶";
	color: #EA5A91;
	position: absolute;
	left: 0;
	font-size: 12px;
	top: 5px;
}

.study-main__detail h3 {
	color: #fff;
	line-height: 2em;
}

.study-main__detail h3 span {
	font-size: 16px;
	color: #fff;
}
	
@media screen and (max-width: 767px) {

	.study-icon p {
		font-size: 8px;
		border-radius: 50%;
		width: 60px;
		height: 60px;
		display: flex;
		align-items: center;
		justify-content: center;
		z-index: 1;
		font-weight: 500;
		box-shadow: 0 3px 5px rgba(81,118,230,0.3);
	}

	.study-container {
		max-width: 320px;
		margin-left: 30px;
		border-left: 2px solid #5176E6;
	}

	.study-main {
		background: #fff;
		padding: 8px;
		border-radius: 0px 4px 4px 0;
		box-shadow: 0 2px 5px rgba(0,0,0,0.05);
		margin-left: 16px;
	}

	.study-main div {
		margin-bottom: 40px;
	}

	.study-main .feedback {
		margin-bottom: 0;
	}

	.study-main h4 {
		color: #5176E6;
		margin-bottom: 5px;
		font-weight: 700;
		border-left: 2px solid #EFBA57; 
		padding-left: 5px;
	}

	.study-main p {
		line-height: 1.8;
		margin-bottom: 8px;
	}

	.study-content {
		flex-direction: column; 
		gap: 16px;
		padding: 8px;
		border-radius: 4px;
	}

	.study-content img {
		width: 240px;
		border-radius: 4px;
		object-fit: cover;
		box-shadow: 0 2px 5px rgba(0,0,0,0.1); 
	}

	.study-txt {
		font-size: 14px;
	}
}


/*--------------------
 student
--------------------*/
.student {
	position: relative;
	background: #E9E9E9;
	padding: 100px 0;
	z-index: 0;
}
.student::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100px;
	transform-origin: top left;
	z-index: -1;
}

.swiper {
	width: 100%;
	height: 480PX;
}

.swiper-slide {
	perspective: 1000px;
	display: flex;
	justify-content: center;
}


.flip-container {
	width: 320px;
	height: 480px;
	position: relative;
	transform-style: preserve-3d;
	transition: transform 0.6s ease-in-out;
}

.card-front,
.card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    border-radius: 10px;
    overflow: hidden;
    backface-visibility: hidden; 
}

.card-back {
    transform: rotateY(180deg);
}

.swiper-slide:hover .flip-container {
    transform: rotateY(180deg);
}

.swiper-slide img {
	width: 100%;
	height: auto;
	max-width: 320px;
	margin: 40px auto 0;
	display: block;
}

	

/*--------------------
 instructor
--------------------*/

.instructor {
	position: relative;
	background: #fafafa;
	padding: 100px 0;
	z-index: 0;
}

.instructor::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100px;
	background: #E9E9E9;
	transform: skewY(-3deg);
	transform-origin: top left;
	z-index: -1;
}

.teacher {
	background-color: #fff;
	padding: 30px;
	border-radius: 10px;
	box-shadow: 0 5px 15px rgba(0,0,0,0.08);
	transition: transform 0.3s ease;
}

.teacher:hover {
	transform: translateY(-5px);
	box-shadow: 0 10px 20px rgba(0,0,0,0.15);
}

.t-img {
	text-align: center;
	margin-bottom: 20px;
}
.t-img img {
	height: 320px;
	width: 100%;
	object-fit: cover;
	border-radius: 8px;
}
.name {
	text-align: center;
}

.name {
	margin-top: 16px;
}

.name span {
	font-size: 24px;
	font-weight: 500;
	letter-spacing: 0.15em;
}

@media screen and (max-width: 767px) {

	.teacher {
		padding: 20px;
	}
	.teacher .t-img img {
		height: 250px;
	}
}
	
/*--------------------
 flow
--------------------*/

.flow {
	display: flex;
	border-bottom: 3px solid #5176E6;
	margin-bottom: 40px;
}

.flow-title {
	font-size: 64px;
	font-weight: bold;
	color: rgba(81,118,230,60%);
	width: 100px;
	padding: 0 8px;
}

.flow-txt {
	display: grid;
	grid-template-columns: 320px 1fr;
	margin-left: 16px;
	flex: 1;
	place-items: center;
	gap: 20px;
}

.flow-left {
	width: 320px;
	font-weight: 700;
}

.flow-right-content {
	justify-self: start; 
	text-align: left;
}

.start {
	text-align: center;
}
.start p {
	font-size: 24px;
	font-weight: bold;
	color: #5176E6;
	margin-top: 10px;
	text-shadow: 1px 1px 2px rgba(0,0,0,0.05);
}

@media screen and (max-width: 767px) {

	.flow {
		max-width: 320px;
	}

	.flow-title {
		font-size: 40px;
		font-weight: bold;
		color: rgba(81,118,230,60%);
		width: auto;
		padding: 0 8px;
	}
	
	.flow-txt {
		display: grid;
		grid-template-columns: 1fr;
		margin-left: 0;
		gap: 0;
	}

	.flow-left {
		width: auto;
		font-weight: 700;
		text-align: left;
		justify-self: start; 
		height: 40px;
		display: flex;
		align-items: center;
	}
	
	.flow-right-content {
		justify-self: start; 
		text-align: left;
	}

	.start {
		text-align: center;
		margin-bottom: 64px;
	}
	.start p {
		font-size: 16px;
		font-weight: 700;
		color: #5176E6;
		margin-top: 10px;
		text-shadow: 1px 1px 2px rgba(0,0,0,0.05);
	}

	.start img {
		width: 50%;
	}
}
	
/*--------------------
 info
--------------------*/

.info {
	background-image: url("images/red-bule-background.png");
	text-align: center;
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center; 
}
/*--------------------
 FAQ
--------------------*/

.qa-1 {
	background-color: #fff;
    margin-bottom: 16px;
    border-radius: 5px;
}

.qa-1 summary {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    padding: 1em 2em 1em 3em;
    font-weight: 600;
    cursor: pointer;
}

.qa-1 summary::before,
.qa-1 p::before {
    position: absolute;
    left: 1em;
}

.qa-1 summary::before {
    color: #5176E6;
    content: "Q";
}

.qa-1 summary::after {
    transform: translateY(-25%) rotate(45deg);
    width: 7px;
    height: 7px;
    margin-left: 10px;
    border-bottom: 3px solid #5176E6;
    border-right: 3px solid #5176E6;
    content: '';
    transition: transform .5s;
}

.qa-1[open] summary::after {
    transform: rotate(225deg);
}

.qa-1 p {
    position: relative;
    transform: translateY(-10px);
    opacity: 0;
    margin: 0;
    padding: .3em 3em 1.5em;
    color: #333;
    transition: transform .5s, opacity .5s;
}

.qa-1[open] p {
    transform: none;
    opacity: 0.8;
}

.qa-1 p::before {
    color: #EA5A91;
    line-height: 1.2;
    content: "A";
}

/*--------------------
 footer
--------------------*/
footer {
	background-color: #4d4d4d;
}

.footer-container {
	max-width: 1040px;
	margin: 0 auto;
	padding: 56px 0;
}
.company {
	font-size: 40px;
	font-weight: bold;
	margin-bottom: 40px;
}

.footer-info {
	width: 100%;
	display: flex;
	justify-content: space-between;
}

footer p {
	color: #fff;
}


@media screen and (max-width: 767px) {

	footer {
		padding: 40px 20px;
	}
	.footer-container {
		padding: 0;
	}
	.footer-info {
		flex-direction: column;
		gap: 15px;
		margin-bottom: 20px;
	}
	.footer-info p {
		font-size: 14px;
	}
	.company {
		font-size: 24px;
	}
}
